package biology;


public class BioPart {
	public static int TYPE_INPUT_PROMOTER = 1;
	public static int TYPE_OUTPUT_CUSTOM_GENE_WITH_RBS = 2;
	public static int TYPE_OUTPUT_CUSTOM_RNA_WITHOUT_RBS = 3;
	public static int TYPE_OUTPUT_CUSTOM_PROTEIN_WITHOUT_RBS = 4;
	public static int TYPE_OUTPUT_BIOBRICK_WITH_RBS = 5;
	public static int TYPE_OUTPUT_BIOBRICK_WITHOUT_RBS = 6;


	private Sequence sequence;
	private String description;
	private String name;
	private String bioBrickName;
	private String source;
	private String shortName;
	private int type;
	private int ID;


	public BioPart(int type, String name, String shortName, String bioBrickName, String source, String description, Sequence sequence, int ID) {
		this.sequence = sequence;
		this.description = description;
		this.name = name;
		this.shortName = shortName;
		this.source = source;
		this.bioBrickName = bioBrickName;
		this.type = type;
		this.ID = ID;
	}

	public String getShortName() {
		return shortName;
	}
	
	public Sequence getSequence() {
		return sequence;
	}
	
	public String getSource() {
		return source;
	}


	public String getDescription() {
		return description;
	}


	public String getName() {
		return name;
	}


	public String getBioBrickName() {
		return bioBrickName;
	}


	public int getType() {
		return type;
	}


	public int getID() {
		return ID;
	}



}

