package view;

import java.awt.Point;

import data.Operation;

public class Box {
	private ConstructLeaf constructLeaf;
	private CheckLeaf checkLeaf;
	private Operation operation;
	private int id;
	private int x;
	private int y;
	private int width;
	private int height;



	public Box(int id) {
		this.id = id;
		x = 0;
		y = 0;
		width = 150;
		height = 55;
	}




	public int getWidth() {
		return width;
	}
	public void setWidth(int width) {
		this.width = width;
		if(constructLeaf != null) {
			constructLeaf.setSize(width, height);
		}
		if(checkLeaf != null) {
			checkLeaf.setSize(width, height);
		}
	}
	public int getHeight() {
		return height;
	}
	public void setHeight(int height) {
		this.height = height;
		if(constructLeaf != null) {
			constructLeaf.setSize(width, height);
		}
		if(checkLeaf != null) {
			checkLeaf.setSize(width, height);
		}
	}




	public void setConstructLeaf(ConstructLeaf constructLeaf) {
		this.constructLeaf = constructLeaf;
	}
	public void setCheckLeaf(CheckLeaf checkLeaf) {
		this.checkLeaf = checkLeaf;
	}
	public void setOperation(Operation operation) {
		this.operation = operation;
	}






	public int getX() {
		return x;
	}
	public void setX(int x) {
		this.x = x;
		if(constructLeaf != null) {
			constructLeaf.setLocation(x, constructLeaf.getY());
		}
		if(checkLeaf != null) {
			checkLeaf.setLocation(x, checkLeaf.getY());
		}
	}
	public int getY() {
		return y;
	}
	public void setY(int y) {
		this.y = y;
		if(constructLeaf != null) {
			constructLeaf.setLocation(constructLeaf.getX(), y);
		}
		if(checkLeaf != null) {
			checkLeaf.setLocation(checkLeaf.getX(), y);
		}
	}
	public Point getLocation() {
		return new Point(x, y);
	}
	public void setLocation(Point p) {
		this.x = p.x;
		this.y = p.y;
		if(constructLeaf != null) {
			constructLeaf.setLocation(p);
		}
		if(checkLeaf != null) {
			checkLeaf.setLocation(p);
		}
	}



	public boolean isSelected() {
		if(constructLeaf != null) {
			if(constructLeaf.isShowing()) {
				return constructLeaf.isSelected();
			}
		}
		if(checkLeaf != null) {
			if(checkLeaf.isShowing()) {
				return checkLeaf.isSelected();
			}
		}
		return false;
	}

	/*
	public void setSelected(boolean selected) {
		if(constructLeaf != null) {
			constructLeaf.setSelected(selected);
		}
		if(checkLeaf != null) {
			checkLeaf.setSelected(selected);
		}
	}
	*/



	public ConstructLeaf getConstructLeaf() {
		return constructLeaf;
	}
	public CheckLeaf getCheckLeaf() {
		return checkLeaf;
	}
	public Operation getOperation() {
		return operation;
	}
	public int getID() {
		return id;
	}
}
