package view;

import java.awt.Graphics;
import java.awt.geom.Line2D;

import javax.swing.JLayeredPane;

import utility.MyColor;

public class CheckPanel extends JLayeredPane {

	public void initializeGUI() {
		removeAll();
		Network.forceRecalculation();

		for (Box box : Network.getAllBoxes()) {
			CheckLeaf leaf = new CheckLeaf(box);
			box.setCheckLeaf(leaf);
			this.add(leaf);
		}
	}

	@Override
	public void paint(Graphics g) {
		// TODO Auto-generated method stub


		for (LinePlus line : Network.getAllConnectors()) {
			if(line.getBoxFrom() != null && line.getBoxFrom().getOperation() != null) {
				if(line.getBoxFrom().getOperation().getValue()) {
					g.setColor(MyColor.GREEN);
				}
				else {
					g.setColor(MyColor.RED);
				}
			}
			Line2D l = line.getLine();
			LinePlus.drawArrow(g, (int)l.getX1(), (int)l.getY1(), (int)l.getX2(), (int)l.getY2());
		}

		super.paint(g);
	}
}
